__gnu_cxx::__normal_iterator(3)

NAME
__gnu_cxx::__normal_iterator -

SYNOPSIS

Detailed Description

  template<typename _Iterator, typename _Container> class __gnu_cxx::__normal_iterator< _Iterator, _Container >

Definition at line 633 of file stl_iterator.h.

  Public Types
typedef iterator_traits< _Iterator >::difference_type difference_type
typedef iterator_traits< _Iterator >::iterator_category iterator_category
typedef iterator_traits< _Iterator >::pointer pointer
typedef iterator_traits< _Iterator >::reference reference
typedef iterator_traits< _Iterator >::value_type value_type

  Public Member Functions
template<typename _Iter> __normal_iterator (const __normal_iterator< _Iter, typename std::__enable_if< _Container,(std::__are_same< _Iter, typename _Container::pointer >::__value) >::__type > &__i)
__normal_iterator (const _Iterator &__i)
__normal_iterator ()
const _Iterator & base () const
reference operator * () const
__normal_iterator operator+ (const difference_type &__n) const
__normal_iterator operator++ (int)
__normal_iterator & operator++ ()
__normal_iterator & operator+= (const difference_type &__n)
__normal_iterator operator- (const difference_type &__n) const
__normal_iterator operator-- (int)
__normal_iterator & operator-- ()
__normal_iterator & operator-= (const difference_type &__n)
pointer operator-> () const
reference operator[] (const difference_type &__n) const

  Protected Attributes
_Iterator _M_current

Author

Generated automatically by Doxygen for libstdc++ from the source code.